1.0

1.0

get /v1/log-groups

Description

Get list of Log groups.

State ACTIVE (SUPPORTED)

VersionNot Before
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryids
optional
List of Log group IDs
Example : 602b39cb1d6b4b7fb0f18de43a4c689c,bce52822147744b4afe0187164caa2e8,953978a05b5d4ab8b2fc80bb5d0b8b6e,3eeb8030bfca4e729b8332f6004628a4,4a11695ad4b34539b4cee12db2a14aa9
any of [array[string], null]None
queryname
optional
Log group name
Example : testlg01
any of [string, null]None
queryretention_periods
optional
List of Log group retention periods
Example : -1,7,30,365
any of [array[integer], null]None

Responses

HTTP CodeDescriptionSchema
200OKLogGroupPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/log-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "log_groups": [
        {
            "account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
            "created_at": "2026-03-25T15:12:03.702Z",
            "created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
            "id": "bce52822147744b4afe0187164caa2e8",
            "modified_at": "2026-03-25T15:12:03.702Z",
            "modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
            "name": "testlg01",
            "retention_period": 365,
            "retention_period_name": "1 year",
            "status": "ACTIVE"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}